Debian Bug report logs - #636920
libxi6: Many programs crash with SIGBUS on startup

version graph

Package: libxi6; Maintainer for libxi6 is Debian X Strike Force <debian-x@lists.debian.org>; Source for libxi6 is src:libxi.

Reported by: Stian Ellingsen <stiell@stiell.org>

Date: Sun, 7 Aug 2011 01:15:02 UTC

Severity: important

Tags: fixed-upstream, patch, upstream

Found in version libxi/2:1.4.3-3

Fixed in versions libxi/2:1.4.5-1.1, libxi/2:1.6.0-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, stiell@stiell.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#636920; Package libxi6. (Sun, 07 Aug 2011 01:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stian Ellingsen <stiell@stiell.org>:
New Bug report received and forwarded. Copy sent to stiell@stiell.org, Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 07 Aug 2011 01:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stian Ellingsen <stiell@stiell.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libxi6: Many programs crash with SIGBUS on startup
Date: Sun, 07 Aug 2011 03:10:19 +0200
Package: libxi6
Version: 2:1.4.3-3
Severity: important
Tags: upstream


On mipsel (Loongson 2F, Yeeloong), many programs (at least all programs
that use libgtk-3-0) crash with SIGBUS immediately when executed, e.g.:

$ gnome-terminal
Bus error

Same with gnome-calculator, gcalctool, epiphany and anjuta. I have
traced the problem to an unaligned access in libxi (see GDB output
below) and have made a quick patch to fix the bug.

(gdb) run
Starting program: /usr/bin/gnome-terminal
Program received signal SIGBUS, Bus error.
[...]
(gdb) bt
#0  0x2bb62c0c in copy_classes (to=0x47be8c, from=<value optimized out>, 
    nclasses=3) at ../../src/XExtInt.c:1532
#1  0x2bb642dc in XIQueryDevice (dpy=0x465fc8, deviceid=<value optimized out>, 
    ndevices_return=<value optimized out>) at ../../src/XIQueryDevice.c:90
#2  0x2b044314 in gdk_x11_device_manager_xi2_constructed (object=0x461aa0)
    at /build/buildd-gtk+3.0_3.0.11-1-mipsel-_rUgEi/gtk+3.0-3.0.11/./gdk/x11/gdkdevicemanager-xi2.c:413
#3  0x2b2bc5a8 in g_object_newv () from /usr/lib/libgobject-2.0.so.0
#4  0x2b2bce04 in g_object_new_valist () from /usr/lib/libgobject-2.0.so.0
#5  0x2b2bcf6c in g_object_new () from /usr/lib/libgobject-2.0.so.0
#6  0x2b042540 in _gdk_x11_device_manager_new (display=0x470800)
    at /build/buildd-gtk+3.0_3.0.11-1-mipsel-_rUgEi/gtk+3.0-3.0.11/./gdk/x11/gdkdevicemanager-x11.c:59
#7  0x2b047ba0 in _gdk_x11_display_open (display_name=<value optimized out>)
    at /build/buildd-gtk+3.0_3.0.11-1-mipsel-_rUgEi/gtk+3.0-3.0.11/./gdk/x11/gdkdisplay-x11.c:1228
#8  0x2b045898 in gdk_x11_display_manager_open_display (
    manager=<value optimized out>, name=<value optimized out>)
    at /build/buildd-gtk+3.0_3.0.11-1-mipsel-_rUgEi/gtk+3.0-3.0.11/./gdk/x11/gdkdisplaymanager-x11.c:55
#9  0x2ad20878 in post_parse_hook (context=<value optimized out>, 
    group=<value optimized out>, data=0x459500, error=0x7fff3448)
    at /build/buildd-gtk+3.0_3.0.11-1-mipsel-_rUgEi/gtk+3.0-3.0.11/./gtk/gtkmain.c:904
#10 0x2b3d1690 in g_option_context_parse () from /lib/libglib-2.0.so.0
#11 0x0041bd2c in ?? ()
[...]
(gdb) info locals 
cls_wire = 0x47ce08
any_lib = 0x47b104
any_wire = 0x47ce08
ptr_lib = 0x47b134
[...]

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: mipsel (mips64)

Kernel: Linux 3.0.0-loongson-2f (PREEMPT)
Locale: LANG=nb_NO.utf8, LC_CTYPE=nb_NO.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libxi6 depends on:
ii  libc6                         2.13-10    Embedded GNU C Library: Shared lib
ii  libx11-6                      2:1.4.3-2  X11 client-side library
ii  libxext6                      2:1.3.0-3  X11 miscellaneous extension librar
ii  multiarch-support             2.13-10    Transitional package to ensure mul

libxi6 recommends no packages.

libxi6 suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#636920; Package libxi6. (Sun, 07 Aug 2011 02:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stian A. Ellingsen" <stiell@stiell.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 07 Aug 2011 02:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 636920@bugs.debian.org (full text, mbox):

From: "Stian A. Ellingsen" <stiell@stiell.org>
To: 636920@bugs.debian.org
Cc: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Patch (libxi6: Many programs crash with SIGBUS on startup)
Date: Sun, 07 Aug 2011 04:07:31 +0200
[Message part 1 (text/plain, inline)]
This patch fixes the bus error by making sure the class structs in
copy_classes are 8-byte aligned.

[fix-classes-alignment.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#636920; Package libxi6. (Sun, 07 Aug 2011 09:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 07 Aug 2011 09:42:28 GMT) Full text and rfc822 format available.

Message #15 received at 636920@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Stian A. Ellingsen" <stiell@stiell.org>, 636920@bugs.debian.org
Subject: Re: Bug#636920: Patch (libxi6: Many programs crash with SIGBUS on startup)
Date: Sun, 7 Aug 2011 11:37:41 +0200
On Sun, Aug  7, 2011 at 04:07:31 +0200, Stian A. Ellingsen wrote:

> This patch fixes the bus error by making sure the class structs in
> copy_classes are 8-byte aligned.
> 
Please send the patch (preferrably with git send-email) to
xorg-devel@lists.x.org.  Thanks!

Cheers,
Julien




Added indication that bug 636920 blocks 666452 Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 30 Mar 2012 22:03:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#636920; Package libxi6. (Sat, 31 Mar 2012 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <s.ramacher@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 31 Mar 2012 18:45:03 GMT) Full text and rfc822 format available.

Message #22 received at 636920@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <s.ramacher@gmx.at>
To: Stian Ellingsen <stiell@stiell.org>, 636920@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: libxi6: Many programs crash with SIGBUS on startup
Date: Sat, 31 Mar 2012 20:41:36 +0200
[Message part 1 (text/plain, inline)]
tags 636920 + fixed-upstream
thanks

As I've been bitten by this bug now (#666452) I tested some upstream releases.
1.5.99.2 and 1.5.99.3 both had the same problem and everything works fine with
1.6.0. So c1a5a70b51f12dedf354102217c7cd4247ed3a4b [1] seems to have fixed the
issue.

Regards

[1]
http://cgit.freedesktop.org/xorg/lib/libXi/commit/?id=c1a5a70b51f12dedf354102217c7cd4247ed3a4b
-- 
Sebastian Ramacher

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) fixed-upstream. Request was from Sebastian Ramacher <s.ramacher@gmx.at> to control@bugs.debian.org. (Sat, 31 Mar 2012 18:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#636920; Package libxi6. (Wed, 04 Apr 2012 09:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <s.ramacher@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 04 Apr 2012 09:24:12 GMT) Full text and rfc822 format available.

Message #29 received at 636920@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <s.ramacher@gmx.at>
To: Stian Ellingsen <stiell@stiell.org>, 636920@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: libxi6: Many programs crash with SIGBUS on startup
Date: Wed, 04 Apr 2012 11:22:18 +0200
[Message part 1 (text/plain, inline)]
tags 636920 + patch
thanks

I've backported c1a5a70b51f12dedf354102217c7cd4247ed3a4b to 1.4.5. The patch is
attached.

Regards
-- 
Sebastian Ramacher
[c1a5a70b-1.4.5.patch (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Sebastian Ramacher <s.ramacher@gmx.at> to control@bugs.debian.org. (Wed, 04 Apr 2012 09:24:36 GMT) Full text and rfc822 format available.

Added indication that bug 636920 blocks 667596 Request was from Sebastian Ramacher <s.ramacher@gmx.at> to control@bugs.debian.org. (Thu, 05 Apr 2012 13:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#636920; Package libxi6. (Sat, 07 Apr 2012 16:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Ramacher <s.ramacher@gmx.at>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 07 Apr 2012 16:00:02 GMT) Full text and rfc822 format available.

Message #38 received at 636920@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <s.ramacher@gmx.at>
To: Sebastian Ramacher <s.ramacher@gmx.at>, 636920@bugs.debian.org
Subject: Re: Bug#636920: libxi6: Many programs crash with SIGBUS on startup
Date: Sat, 07 Apr 2012 17:57:24 +0200
[Message part 1 (text/plain, inline)]
Dear Maintainer,

I've prepared an NMU versioned as 2:1.4.5-1.1. The package is available at [1]
and the debdiff is attached.

On 04/04/12 11:22, Sebastian Ramacher wrote:
> I've backported c1a5a70b51f12dedf354102217c7cd4247ed3a4b to 1.4.5. The patch is
> attached.

In addition to c1a5a70b51f12dedf354102217c7cd4247ed3a4b upstream's
8436c920953f288aea2d6d5f370f8eaaaef82d97 [2] is also required. Otherwise libxi
fails to work on ppc since c1a5a70b51f12dedf354102217c7cd4247ed3a4b introduced a
regression:

# xinput list --long
⎡ Virtual core pointer                          id=2    [master pointer  (3)]
        Reporting 3 classes:
                Class originated from: 2
                Buttons supported: 10
X Error of failed request:  BadAtom (invalid Atom parameter)
  Major opcode of failed request:  17 (X_GetAtomName)
  Atom id in failed request:  0x2000b
  Serial number of failed request:  23
  Current serial number in output stream:  23
                Button labels: Button Middle Button Right Button Wheel Up Button
Wheel Down Button Horiz Wheel Left Button Horiz Wheel Right None None None

8436c920953f288aea2d6d5f370f8eaaaef82d97 is also included in the NMU.

[1] http://mentors.debian.net/debian/pool/main/libx/libxi/libxi_1.4.5-1.1.dsc
[2]
http://cgit.freedesktop.org/xorg/lib/libXi/commit/?id=8436c920953f288aea2d6d5f370f8eaaaef82d97
-- 
Sebastian Ramacher
[libxi_1.4.5-1.1.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Reply sent to Sebastian Ramacher <s.ramacher@gmx.at>:
You have taken responsibility. (Sun, 08 Apr 2012 22:36:03 GMT) Full text and rfc822 format available.

Notification sent to Stian Ellingsen <stiell@stiell.org>:
Bug acknowledged by developer. (Sun, 08 Apr 2012 22:36:03 GMT) Full text and rfc822 format available.

Message #43 received at 636920-close@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <s.ramacher@gmx.at>
To: 636920-close@bugs.debian.org
Subject: Bug#636920: fixed in libxi 2:1.4.5-1.1
Date: Sun, 08 Apr 2012 22:33:25 +0000
Source: libxi
Source-Version: 2:1.4.5-1.1

We believe that the bug you reported is fixed in the latest version of
libxi, which is due to be installed in the Debian FTP archive:

libxi-dev_1.4.5-1.1_amd64.deb
  to main/libx/libxi/libxi-dev_1.4.5-1.1_amd64.deb
libxi6-dbg_1.4.5-1.1_amd64.deb
  to main/libx/libxi/libxi6-dbg_1.4.5-1.1_amd64.deb
libxi6-udeb_1.4.5-1.1_amd64.udeb
  to main/libx/libxi/libxi6-udeb_1.4.5-1.1_amd64.udeb
libxi6_1.4.5-1.1_amd64.deb
  to main/libx/libxi/libxi6_1.4.5-1.1_amd64.deb
libxi_1.4.5-1.1.diff.gz
  to main/libx/libxi/libxi_1.4.5-1.1.diff.gz
libxi_1.4.5-1.1.dsc
  to main/libx/libxi/libxi_1.4.5-1.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Ramacher <s.ramacher@gmx.at> (supplier of updated libxi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 07 Apr 2012 16:55:42 +0200
Source: libxi
Binary: libxi6 libxi6-udeb libxi6-dbg libxi-dev
Architecture: source amd64
Version: 2:1.4.5-1.1
Distribution: unstable
Urgency: high
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Sebastian Ramacher <s.ramacher@gmx.at>
Description: 
 libxi-dev  - X11 Input extension library (development headers)
 libxi6     - X11 Input extension library
 libxi6-dbg - X11 Input extension library (debug package)
 libxi6-udeb - X11 Input extension library (udeb)
Closes: 636920
Changes: 
 libxi (2:1.4.5-1.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Backport fixes from upstream:
     - Fix bus error on MIPS N32 (Closes: #636920)
     - Fix wrong button label and mask copy on OS X.
Checksums-Sha1: 
 481b0dc0b05be070d99bd13189863f5ab3d66359 2256 libxi_1.4.5-1.1.dsc
 fdcd6cda376956e30576fed9561ead33ee9a6449 20386 libxi_1.4.5-1.1.diff.gz
 a8f87c02034f2d353f0483d981637aeea626f83a 68130 libxi6_1.4.5-1.1_amd64.deb
 7b0bbc72b27d3802817d517ac5bde46a99fa7414 26250 libxi6-udeb_1.4.5-1.1_amd64.udeb
 8b12ae11e16a41f025f21956fd05d24b73275406 410386 libxi6-dbg_1.4.5-1.1_amd64.deb
 c791a20cdbd7db2ae64aa4c4568618097393542f 255682 libxi-dev_1.4.5-1.1_amd64.deb
Checksums-Sha256: 
 7cb238ecd8e30429dd94fdf59930639004b7f6b4c8c0056ad69eb56e6e82de82 2256 libxi_1.4.5-1.1.dsc
 5a44660c62a3b58cc6ee73fe2ac8c2438c534c8fa6fe81848d39c82686cd81de 20386 libxi_1.4.5-1.1.diff.gz
 038f8e607579fc9376fd66ca7a7771cf7cdade3acd67ad387886a4252a3430ba 68130 libxi6_1.4.5-1.1_amd64.deb
 f865b0e36a9b26f0d88fa999e7353214654401123dc67f93d880996a25fdfe31 26250 libxi6-udeb_1.4.5-1.1_amd64.udeb
 61c7a404405fcfc7d37ad861535478d3cbd20c28b65baaef5913fe0ed7e32ea5 410386 libxi6-dbg_1.4.5-1.1_amd64.deb
 0d1317c59b526472a59c3c0c556068b9c19378dd450f1d1778d2a0742ff4978c 255682 libxi-dev_1.4.5-1.1_amd64.deb
Files: 
 cc6ff49f3750c1a3b4e504c2560fcbad 2256 x11 optional libxi_1.4.5-1.1.dsc
 38d9620eaf8d0d7ddfb8599b3391eb6e 20386 x11 optional libxi_1.4.5-1.1.diff.gz
 a62070e9a23a83f3e58a87210aabeefb 68130 libs optional libxi6_1.4.5-1.1_amd64.deb
 8bab929702c684e94566ac866c12643e 26250 debian-installer optional libxi6-udeb_1.4.5-1.1_amd64.udeb
 43b18192d6208467ffec7f6808bee756 410386 debug extra libxi6-dbg_1.4.5-1.1_amd64.deb
 1368b48071a750850e9473595aa3b149 255682 libdevel optional libxi-dev_1.4.5-1.1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPghBRAAoJEDEBgAUJBeQMJ8kQAN3j8KCKq2LSPRhCE7C72rar
yHC+oRIj7AyDWym9ozdPrn+7pS7N5nDrTeQ8D+aHsx//AGk/yzDJb5szqFXh+4lh
yYNSRD54hJucecA4cNz+lKFvFe6yI94kR8tCX3ao+Z/4bktYfU+UacuseWhseb5l
FbHmhzHoSI30QNpmJ4d4QgD1RVGMMC9icASZiYUfxuobBSj8vxJTEa6Ymb+ikl+e
yMq/lTPQgRyH9Zr3BNnYiZcNNy6VE53QXevbpyJG1i/RJzEh9JnJdELOzTXRg1Rv
L9xHRN9+C43v/+b5LW9aOZOSSXXhjRgLfane2L58ZQerAMaP0KWi+VmLKYjORXXd
0qYn79Tz907jZQT7K6utoIdUjO84X+7+0Cc5/RHLGZ3WqcnpOUolK6ZNeA1ZewaK
uVusN5jbjDs3W5UXBbba0hd8loI7Vtl5pMhhFPEIec2BKGorAGNBLnJpQo9ZGl7s
4mE8J3mDr1VnR+D1xT2x+tnRIx77+JRaYToI5iZ14v0d4PfrQxHRlsEs1noe16cP
gNl4umd4P59RT3br8h0ff7xvp14mKWVNqz6f9XoElizgTS0BkfHyk/7OHmrIsUQk
J5UaKlPvOSHxbjHKipzmCnCOhye9M9YxP0QCV7osuugkoVwLtucXAv2ozm73aj6H
d+bwteqS56dE8tqGs8Oh
=EIa8
-----END PGP SIGNATURE-----





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 19 Apr 2012 21:52:00 GMT) Full text and rfc822 format available.

Notification sent to Stian Ellingsen <stiell@stiell.org>:
Bug acknowledged by developer. (Thu, 19 Apr 2012 21:52:00 GMT) Full text and rfc822 format available.

Message #48 received at 636920-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 636920-close@bugs.debian.org
Subject: Bug#636920: fixed in libxi 2:1.6.0-1
Date: Thu, 19 Apr 2012 21:49:14 +0000
Source: libxi
Source-Version: 2:1.6.0-1

We believe that the bug you reported is fixed in the latest version of
libxi, which is due to be installed in the Debian FTP archive:

libxi-dev_1.6.0-1_amd64.deb
  to main/libx/libxi/libxi-dev_1.6.0-1_amd64.deb
libxi6-dbg_1.6.0-1_amd64.deb
  to main/libx/libxi/libxi6-dbg_1.6.0-1_amd64.deb
libxi6-udeb_1.6.0-1_amd64.udeb
  to main/libx/libxi/libxi6-udeb_1.6.0-1_amd64.udeb
libxi6_1.6.0-1_amd64.deb
  to main/libx/libxi/libxi6_1.6.0-1_amd64.deb
libxi_1.6.0-1.diff.gz
  to main/libx/libxi/libxi_1.6.0-1.diff.gz
libxi_1.6.0-1.dsc
  to main/libx/libxi/libxi_1.6.0-1.dsc
libxi_1.6.0.orig.tar.gz
  to main/libx/libxi/libxi_1.6.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636920@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated libxi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 16 Apr 2012 19:32:32 +0200
Source: libxi
Binary: libxi6 libxi6-udeb libxi6-dbg libxi-dev
Architecture: source amd64
Version: 2:1.6.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 libxi-dev  - X11 Input extension library (development headers)
 libxi6     - X11 Input extension library
 libxi6-dbg - X11 Input extension library (debug package)
 libxi6-udeb - X11 Input extension library (udeb)
Closes: 636920
Changes: 
 libxi (2:1.6.0-1) unstable; urgency=low
 .
   [ Chase Douglas ]
   * New upstream release
     - Fix bus error on MIPS N32 (closes: #636920)
   * Bump build deps on x11proto-input-dev
   * Bump lintian standards version to 3.9.3
 .
   [ Julien Cristau ]
   * Pull some more changes from upstream master:
     - Fix wrong button label and mask copy on OS X (fixes regression in the
       patch for bug#636920)
     - Move version comparison into a helper function
     - Set the RawEvent sourceid (#34240)
   * Upload to unstable.
Checksums-Sha1: 
 6b48e3ef9a7549aaa9de914d1ef4e31388c0384d 2257 libxi_1.6.0-1.dsc
 f24ca140ba28958ffbbc622d85602c46de95093f 544684 libxi_1.6.0.orig.tar.gz
 4c710531a7f5c2f0135c23c31bc81e463ea90637 20638 libxi_1.6.0-1.diff.gz
 8c1220b1b9a0b9dba06d1f79b5e63da8aed8b18c 74546 libxi6_1.6.0-1_amd64.deb
 1f450eb997578694bd0a33e28dfd02b349d4c9b5 26304 libxi6-udeb_1.6.0-1_amd64.udeb
 06b7e58d0ed70d541a550c18f74d0020c69f918c 431770 libxi6-dbg_1.6.0-1_amd64.deb
 dcc69f31818bd0a2ec128e51ba23a9d77b0671fd 246850 libxi-dev_1.6.0-1_amd64.deb
Checksums-Sha256: 
 cea52e85ac225fa4a618c6cb22b2a4a896d73a4904f6e5f8921023ef8a64c835 2257 libxi_1.6.0-1.dsc
 c05ef216c6e4f3ccef73a06dcf1f5345e11ba384baab8543a7f520041bdc8907 544684 libxi_1.6.0.orig.tar.gz
 1f909d7e0abf9f1f2f1bb6a189d06ab7b2ccd1060cb6f9a3af7ddb2132a83f2f 20638 libxi_1.6.0-1.diff.gz
 3f7e6a23a137d8a954042dc85dde29e4cbdee90bf2c8b69210cd238fcfbd78cf 74546 libxi6_1.6.0-1_amd64.deb
 28bba877688708eea0b59a15df5d8806022c404d4a156258bb0de1d4f4b93bd1 26304 libxi6-udeb_1.6.0-1_amd64.udeb
 ef03ef0676587f6499aa810babb8d5cb60dee891030c3e9841b2a17d2d12de6e 431770 libxi6-dbg_1.6.0-1_amd64.deb
 1e3d57aad5e29dccd1adfdbe260aefa89cb19ffa50d8b817f4a35a8dcca22b05 246850 libxi-dev_1.6.0-1_amd64.deb
Files: 
 970c3caa9f64116c71d36a8d195a51a0 2257 x11 optional libxi_1.6.0-1.dsc
 b28b32bca36bee899b6109d395de6ee6 544684 x11 optional libxi_1.6.0.orig.tar.gz
 2954cb366b6ac70a293b42c13e6892c3 20638 x11 optional libxi_1.6.0-1.diff.gz
 51e90e997a5653319cebfa074c5cacb2 74546 libs optional libxi6_1.6.0-1_amd64.deb
 27f314adbb61c452ae37102919417387 26304 debian-installer optional libxi6-udeb_1.6.0-1_amd64.udeb
 9c5360188bb772a14c570f94fa14ef1b 431770 debug extra libxi6-dbg_1.6.0-1_amd64.deb
 3cdcde49235aa688fb07bdde0ac46858 246850 libdevel optional libxi-dev_1.6.0-1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPkIZoAAoJEDEBgAUJBeQM2nYQANytgv+CfhYB+MbAknLnoNnj
y7g/Rfb+cTHbWBqPcR8WuXRCGaErKWamDl4MOuH777SJu7I15E4ESLcrydOaVNav
V5V9byIjR0ZwnJGSxrAGzHanqs+y4cN29sNv7WxmD18QTWGYu745Y6Us6je6eaWz
R/OZt60zY4civzbrX+pgvc4J2hNJH5fAs+Ha53DDK8IsN7/Eos1NDEbKur+z4PII
oADixQLb/3HNVpVg+lLLYWvg40dyHn2R42JqC8NX8FeVTd7mjQj4bJhqlIaAtGVD
yxlXKSM3i45Im0WyfK/dbLzvUkUsfLhp5xde3fbn9M2m4/ObLx6ttWZfDRktr+bO
nBTw6286HK5gnMGZ/FGch44GOpjr0x6kxF5IIHL/cTzkM1VJynM6VPvS7+T10wde
q1iT9OQfq6SpeMDin1X/b0sNkzxh+wGc5DnUDnlcW4iTB76HeXlKGVA03JUvfWJo
S82n0C3kbaVeztQjWUjRnWsiFo/amRxhn3zRqCSV0oA0GvZdbXxIckgcsNzPrVbp
qeYBtOkfkrC9cko7TeEOnOPUQezv0cd9DQpaO048fy8/PnTlY19sfykFrSmjgB8C
dYJkVKihmsZcSRVrl8kWKsx0TQJjhM7gVfwdezFd9PUr+AoGYWLunLL2vZj3Iws/
fsR8v53L+ia77kMb376x
=gY5g
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 May 2012 07:34:52 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:42:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.